## com.arsdigita.cms.docmgr.ui
Class CreateDocLinkPane

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.SimpleContainer
                          com.arsdigita.cms.docmgr.ui.CreateDocLinkPane

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, DMConstants, com.arsdigita.util.Lockable

public class CreateDocLinkPane
extends com.arsdigita.bebop.SimpleContainer
implements DMConstants

A UI Container class used to create instances of `DocLink` object type. Contains a simple Search Form to search Documents by name. A table to display the results the of the search. ActionLinks in the action column of `CreateDocLinkSearchTable` are responsible to actually create the Links to the Document represented in the corresponding row of the table.

Author:
  Shashin Shinde $Id: //apps/docmgr-cms/dev/src/com/arsdigita/cms/docmgr/ui/CreateDocLinkPane.java#2 $

Field Summary
`static String` `PARAM_EDIT_DOCLINK_ID`

Fields inherited from class com.arsdigita.bebop.SimpleContainer
`versionId`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.cms.docmgr.ui.DMConstants

`ABS_PATH, ACTION_COPY_LABEL, ACTION_COPY_SUBMIT, ACTION_COPY_VALUE, ACTION_CUT_LABEL, ACTION_CUT_VALUE, ACTION_DELETE_CONFIRM, ACTION_DELETE_LABEL, ACTION_DELETE_SUBMIT, ACTION_DELETE_VALUE, ACTION_ERROR_CONTINUE, ACTION_ERROR_LABEL, ACTION_MOVE_SUBMIT, BUNDLE_NAME, CANCEL, CAT_TREE_ID_PARAM_NAME, CAT_TREE_INIT_ID_PARAM_NAME, DESTINATION_FOLDER_PANEL_HEADER, DIFFERENT_MIMETYPE_ERROR, DOC_COL_ID_PARAM_NAME, DOCS_XML_NS, EMAIL_INVALID_ERROR, END_DATE_PARAM_NAME, FILE_ACTION_HEADER, FILE_CATEGORIES, FILE_DELETE_CONFIRM, FILE_DELETE_HEADER, FILE_DELETE_LINK, FILE_DESCRIPTION, FILE_DOWNLOAD_HEADER, FILE_DOWNLOAD_LINK, FILE_EDIT_ACTION_DESCRIPTION, FILE_EDIT_HEADER, FILE_EDIT_LINK, FILE_FEEDBACK_HEADER, FILE_ID_PARAM_NAME, FILE_INFO_COMMENTS_TITLE, FILE_INFO_HISTORY_TITLE, FILE_INFO_LABEL, FILE_INFO_LINKS_TITLE, FILE_INFO_PROPERTIES_TITLE, FILE_INTENDED_AUDIENCE, FILE_INTENDED_AUDIENCE_INTERNAL, FILE_INTENDED_AUDIENCE_PUBLIC, FILE_INTENDED_AUDIENCE_WORKSPACE, FILE_KEYWORDS, FILE_NAME, FILE_NAME_REQUIRED, FILE_NEW_VERSION_LINK, FILE_PROPERTIES_HEADER, FILE_REVISION_HISTORY_HEADER, FILE_SAVE, FILE_SEND_COLLEAGUE_FORM_EMAIL, FILE_SEND_COLLEAGUE_HEADER, FILE_SEND_COLLEAGUE_LINK, FILE_SEND_COLLEAGUE_MESSAGE, FILE_SEND_COLLEAGUE_RETURN_ADDRESS, FILE_SEND_COLLEAGUE_SUBJECT, FILE_SEND_COLLEAGUE_SUBMIT, FILE_SEND_COLLEAGUE_THANKS, FILE_SEND_COLLEAGUE_THANKS_RETURN_LINK, FILE_SOURCE, FILE_SUBMIT, FILE_UPLOAD_ADD_FILE, FILE_UPLOAD_FORM_HEADER, FILE_UPLOAD_HEADER, FILE_UPLOAD_INITIAL_TRANSACTION_DESCRIPTION, FILE_VERSION_DESCRIPTION, FILES, FOLDER_ADD_DOC_PARAM_NAME, FOLDER_CREATE_FORM_HEADER, FOLDER_DESCRIPTION, FOLDER_DESCRIPTION_LABEL, FOLDER_EMPTY_LABEL, FOLDER_ID, FOLDER_INFORMATION_HEADER, FOLDER_NAME, FOLDER_NAME_LABEL, FOLDER_NEW_CREATE_LINK, FOLDER_NEW_DOCLINK_LINK, FOLDER_NEW_FILE_LINK, FOLDER_NEW_FOLDER_LINK, FOLDER_PARENTNOTFOUND_ERROR, FOLDER_SAVE, FOLDERS, GET_ALL_TREES, GET_CHILDREN, GET_REPOSITORIES, GET_REPOSITORIES_ROOTS, GO_BACK_LABEL, HELP_LABEL, IS_FOLDER, IS_LOCKED, IS_MOUNTED, LAST_MODIFIED, MIME_TYPE_LABEL, MODIFYING_USER, MY_WORKSPACE_LABEL, NAME, NUM_FILES, OPEN_FOLDER_ID_PARAM, OPEN_FOLDER_ID_PARAM_NAME, PAGE_TITLE_LABEL, PARAM_ROOT_ADD_DOC_LINK, REPOSITORIES_INFORMATION_HEADER, REPOSITORIES_MOUNTED_SAVE, REPOSITORY_ID, REPOSITORY_RECENTDOCS_EMPTY, RESOURCE_EXISTS_ERROR, RESOURCE_ID, ROOT_ADD_DOC_PARAM, ROOT_ADD_DOC_PARAM_NAME, ROOT_ADD_DOCLINK_LINK, ROOT_ADD_RESOURCE_LINK, ROOTFOLDER_ID_PARAM, ROOTFOLDER_ID_PARAM_NAME, SEL_FOLDER_ID_PARAM, SEL_FOLDER_ID_PARAM_NAME, SEND_FRIEND_FORM_DESCRIPTION, SEND_FRIEND_FORM_EMAIL_LIST, SEND_FRIEND_FORM_EMAIL_SUBJECT, SEND_FRIEND_FORM_SUBMIT, SIGN_OUT_LABEL, SIZE, START_DATE_PARAM_NAME, TARGET_REQUIRED, TITLE_REQUIRED, TYPE, WS_BROWSE_TITLE, WS_REPOSITORIES_TITLE, WS_SEARCH_TITLE`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`CreateDocLinkPane(com.arsdigita.bebop.Component parent, com.arsdigita.bebop.Tree tree)` Constructor.

Method Summary
`com.arsdigita.bebop.parameters.BigDecimalParameter` `getEditDoclinkIDParam()`
`void` `register(com.arsdigita.bebop.Page p)`

Methods inherited from class com.arsdigita.bebop.SimpleContainer
`add, add, children, contains, generateChildrenXML, generateParent, generateXML, get, getNamespace, getTag, indexOf, isEmpty, setNamespace, setTag, size`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, lock, register, respond, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, respond, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked, lock`

Field Detail

### PARAM_EDIT_DOCLINK_ID

    public static final String PARAM_EDIT_DOCLINK_ID

See Also:
  Constant Field Values

Constructor Detail

### CreateDocLinkPane

    public CreateDocLinkPane(com.arsdigita.bebop.Component parent,
                             com.arsdigita.bebop.Tree tree)

  Constructor.

Parameters:
  `parent` - to which this Table is added.Used to return after creating the link and cleaning up the Table selection.

Method Detail

### register

    public void register(com.arsdigita.bebop.Page p)

  Specified by:
    `register` in interface `com.arsdigita.bebop.Component`

### getEditDoclinkIDParam

    public com.arsdigita.bebop.parameters.BigDecimalParameter getEditDoclinkIDParam()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC